Subject: Re: [PATCH 0/2] Making "git commit" to mean "git commit -a".

From: Jakub Narebski <[email-masked]>
Date: Thu, 30 Nov 2006 14:16:04 +0100

Salikh Zakirov wrote:

> Someone said, that default '-a' does not go well with 'git-commit --amend',
> and I second that. It was somewhat suprising to see that 'git commit --amend'
> is going to include all of the dirty state into the commit,
> and since there is no easy way to abort a --amend commit (because the comment
> buffer wasn't empty, and :q! does not work as it would on the regular commit),
> I had to untwine the changes manually.

By the way, I think that git-commit should also watch the return code
from the editor, so you can ^C it to abort git-commit --amend.

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git